2023-01-28 20:36 AEDT

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000151mercuryBugpublic2022-10-11 16:35
Reporterpbone 
Assigned Tojuliensf 
PrioritynormalSeveritytrivialReproducibilityalways
StatusresolvedResolutionfixed 
Product Version 
Target VersionFixed in Version 
Summary0000151: Incorrect documentation for string.unsafe_set_char
DescriptionJames Cussens found that the documentation for this standard library predicate and function doesn't match the implementation. The documentation says that it is a constant time operation but it involves a strcpy.

The unsafe part of the name says that there is no bounds check and that a strlen call isn't performed.
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0000265

juliensf (administrator)

The documentation refers to the commented out mode of unsafe_set_char, which
is constant time. The problem is that the mode that is enabled isn't.

~0001204

juliensf (administrator)

This was fixed in commit f71b5f20.
+Notes

-Issue History
Date Modified Username Field Change
2010-05-30 16:25 pbone New Issue
2010-05-30 16:28 juliensf Note Added: 0000265
2010-07-07 17:53 pbone File Added: bug151a.m
2010-07-07 17:54 pbone File Deleted: bug151a.m
2022-10-11 16:35 juliensf Assigned To => juliensf
2022-10-11 16:35 juliensf Status new => resolved
2022-10-11 16:35 juliensf Resolution open => fixed
2022-10-11 16:35 juliensf Note Added: 0001204
+Issue History